package com.aitrainer.api.model

import org.springframework.lang.NonNull
import javax.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class ExerciseTypeTranslation (
        @Id
        @GeneratedValue(strategy = GenerationType.IDENTITY)
        val translationId: Long = 0,

        //@get: NonNull var exerciseTypeId: Integer?,
        @get: NotBlank var languageCode: String?,
        @get: NotBlank var name: String = "",
        @get: NotBlank var description: String = ""
) {

        @ManyToOne(fetch = FetchType.EAGER, optional = false)
        @JoinColumn(name = "exerciseTypeId", nullable = false)
        val exerciseType: ExerciseType? = null
}
